Hyper3DHyper3D Docs
API Specification

Check Balance

Read the remaining API credits for the authenticated account.

GET
/api/v2/check_balance
AuthorizationBearer <token>

In: header

Query Parameters

usage_page?integer

Response Body

application/json

curl -X GET "https://example.com/api/v2/check_balance"
{  "balance": 10,  "usage": [    {      "time": "2026-08-05T08:30:00.000Z",      "item": "api_generation_rodin",      "amount": 5,      "task_uuid": "123e4567-e89b-12d3-a456-426614174000"    }  ]}

Usage history

When usage_page is omitted, the response does not include usage.

Examples Input

curl --fail-with-body 'https://api.hyper3d.com/api/v2/check_balance?usage_page=1' \
  --header "Authorization: Bearer ${RODIN_API_KEY}"
import os

import requests

response = requests.get(
    "https://api.hyper3d.com/api/v2/check_balance",
    headers={"Authorization": f"Bearer {os.environ['RODIN_API_KEY']}"},
    params={"usage_page": 1},
    timeout=30,
)
response.raise_for_status()
print(response.json())

Response

{
  "balance": 10,
  "usage": [
    {
      "time": "2026-08-05T08:30:00.000Z",
      "item": "api_generation_rodin",
      "amount": 5,
      "task_uuid": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}